# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name ltk

# common part of summary for all the subpackages
%global common_summary Leksah IDE's UI toolkit library

# main description used for all the subpackages
%global common_description This package provides UI toolkit library for Leksah IDE.

Name:           ghc-%{pkg_name}
Version:        0.12.0.0
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
#The cabal file states license as GPLv2 while sources specify license
#as GPL. Hence GPL+.
License:        GPL+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
# END cabal2spec
# BR any C devel dependency here
# list ghc-*-prof dependencies:
BuildRequires:  ghc-glib-prof, ghc-gtk-prof, ghc-mtl-prof, ghc-parsec-prof, ghc-haddock-prof

%description
%{common_description}

%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END cabal2spec
# remember to require any C devel dependency here
# Haskell devel dependencies are autogenerated by ghc-deps.sh

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.

%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files


%changelog
* Mon Mar 12 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.12.0.0-1
- package update to 0.12.0.0

* Mon Jan 2 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-5
- rebuild for haddock

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.10.0.4-4.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.10.0.4-4.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.10.0.4-4.1
- rebuild with new gmp

* Sun Sep 25 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-4
- Rebuild for gtk2hs related updates
- Update to cabal2spec-0.24.1

* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-3
- Update to cabal2spec-0.23.2

* Sun May 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-2
- Updated spec file to cabal2spec 0.22.7
- License is GPL+. The cabal file states license as GPLv2 while sources specify license
- as GPL. Hence GPL+.
- Removed patch as it is not needed.

* Sun May 1 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0.4-1
- Package updated to 0.10.0.4

* Tue Apr 12 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.10.0-1
- Package update.cabal file patch to fix build issue on F15 and greater.

* Thu Mar 24 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.0.8-2
- Upgrade to cabal2spec 0.22.5

* Sun Oct 10 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.8.0.8-1
- Modify license details, summary, description and added dependencies.

* Sun Oct 10 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.8.0.8-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
